package de.examples;

import de.tvo.database.tables.NLCONNECT.Nlconnect;
import de.tvo.database.tables.NLCONNECT.NlconnectWorker;
import de.tvo.nanoleaf.enums.NanoTypeEnum;

public class NanoDBTest {

	public NanoDBTest() {
		Nlconnect nlconnect = new Nlconnect();
		
		nlconnect.setNchostname("Canvas-72FA.fritz.box");
		nlconnect.setNcipadress("192.168.178.141");
		nlconnect.setNcport(16021);
		nlconnect.setNccountpanel(15);
		nlconnect.setNctoken("LAG28BQWrXK2p79NbHMQsvcYYCN1TcD4");
		nlconnect.setNctype(NanoTypeEnum.CANVAS);
		nlconnect.setNcactiv(1);
		
		try {
			NlconnectWorker worker = new NlconnectWorker();
			worker.insertNlconnect(nlconnect);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		new NanoDBTest();

	}

}
